You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
26 lines
1.1 KiB
26 lines
1.1 KiB
From 87862728daaefd56708fe2100c22a90ebf361fac Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Fri, 24 Jan 2014 15:27:15 +0100 |
|
Subject: [PATCH] dracut.sh: set file owners of early cpio files to 0:0 |
|
|
|
--- |
|
dracut.sh | 4 ++-- |
|
1 file changed, 2 insertions(+), 2 deletions(-) |
|
|
|
diff --git a/dracut.sh b/dracut.sh |
|
index 55862751..0ac2b050 100755 |
|
--- a/dracut.sh |
|
+++ b/dracut.sh |
|
@@ -1379,10 +1379,10 @@ rm -f -- "$outfile" |
|
dinfo "*** Creating image file ***" |
|
if [[ $create_early_cpio = yes ]]; then |
|
# The microcode blob is _before_ the initramfs blob, not after |
|
- (cd "$early_cpio_dir/d"; find . -print0 | cpio --null -o -H newc --quiet >../early.cpio) |
|
+ (cd "$early_cpio_dir/d"; find . -print0 | cpio --null -R 0:0 -H newc -o --quiet >../early.cpio) |
|
mv $early_cpio_dir/early.cpio $outfile.$$ |
|
fi |
|
-if ! ( umask 077; cd "$initdir"; find . -print0 | cpio --null -R 0:0 -H newc -o --quiet| \ |
|
+if ! ( umask 077; cd "$initdir"; find . -print0 | cpio --null -R 0:0 -H newc -o --quiet | \ |
|
$compress >> "$outfile.$$"; ); then |
|
dfatal "dracut: creation of $outfile.$$ failed" |
|
exit 1
|
|
|